Option Strict Off
Option Explicit On
Imports System.Windows.Forms
'------------------------------------ 2023/11/09 ------------------------------------
Public Class 四frmDlgOptionUrouro

#Region "宣言"
    Private mNew実行中 As Boolean = True
    Private mMe_gmDlgID As Integer = 0
    Private mLoading As Boolean = False
    Private mDlgStart初期データー13(13) As Integer
    Private mflag背景の明るさ_変更された As Boolean = False
    '**************************************************************************************************************************************
    Private WithEvents イベントgAppEventMaker As 五clsEventMaker
    '**************************************************************************************************************************************
    Event aaaコントロールの初期化をしてください(ByRef wIsOK As Boolean, ByRef wMe_gmDlgID As Integer, ByVal OpCode_All_0__or__SelectOnly_1_to_13 As Integer, _
                            ByRef wlst背景の明るさ As ListBox, ByRef wlst枠の太さ As ListBox, ByRef wlstカードのサイズ As ListBox, _
                            ByRef wlstカードスピード As ListBox, ByRef wlstスピード補正 As ListBox, ByRef wlstライン曲率 As ListBox, _
                            ByRef wlstカードサイズ大中小モード As ListBox, ByRef wlstカードをズーミング As ListBox, _
                            ByRef wlst消えるカードのスピード As ListBox, ByRef wlst消えるカードのズームサイズ As ListBox, _
                            ByRef mnuすべて元に戻す As ToolStripMenuItem, ByRef mnu規定値にリセット As ToolStripMenuItem, _
                            ByRef wlst残り枚数でカードサイズ変更 As ListBox, ByRef wlst消えるカードの背景模様 As ListBox, ByRef wlst消えるカードの背景サイズ As ListBox, ByRef wDlgStart初期データー13() As Integer)

    Event aaaコントロールの選択状態が変更されました(ByRef wIsOK As Boolean, ByVal OpCode_1_to_12 As Integer, _
                            ByRef r1_lst背景の明るさ As ListBox, ByRef r2_lst枠の太さ As ListBox, ByRef r3_lstカードのサイズ As ListBox, _
                            ByRef r4_lstカードスピード As ListBox, ByRef r5_lstスピード補正 As ListBox, ByRef r6_lstライン曲率 As ListBox, _
                            ByRef r7_lstカードサイズ大中小モード As ListBox, ByRef r8_lstカードをズーミング As ListBox, _
                            ByRef r9_lst消えるカードのスピード As ListBox, ByRef r10_lst消えるカードのズームサイズ As ListBox, _
                            ByRef mnuすべて元に戻す As ToolStripMenuItem, ByRef mnu規定値にリセット As ToolStripMenuItem, _
                            ByRef r11_lst残り枚数でカードサイズ変更 As ListBox, ByRef r12_lst消えるカードの背景模様 As ListBox, ByRef r13_lst消えるカードの背景サイズ As ListBox, ByRef rDlgStart初期データー13() As Integer)

    Event aaaコントロールに規定値を設定してください(ByRef wIsOK As Boolean, ByRef wMe_gmDlgID As Integer, _
                            ByRef wlst背景の明るさ As ListBox, ByRef wlst枠の太さ As ListBox, ByRef wlstカードのサイズ As ListBox, _
                            ByRef wlstカードスピード As ListBox, ByRef wlstスピード補正 As ListBox, ByRef wlstライン曲率 As ListBox, _
                            ByRef wlstカードサイズ大中小モード As ListBox, ByRef wlstカードをズーミング As ListBox, _
                            ByRef wlst消えるカードのスピード As ListBox, ByRef wlst消えるカードのズームサイズ As ListBox, _
                            ByRef mnuすべて元に戻す As ToolStripMenuItem, ByRef mnu規定値にリセット As ToolStripMenuItem, _
                            ByRef wlst残り枚数でカードサイズ変更 As ListBox, ByRef wlst消えるカードの背景模様 As ListBox, ByRef wlst消えるカードの背景サイズ As ListBox, ByRef rDlgStart初期データー13() As Integer)

    Event aaaコントロールに_DlgStart初期データー_を設定してください(ByRef wIsOK As Boolean, ByRef wMe_gmDlgID As Integer, _
                            ByRef wlst背景の明るさ As ListBox, ByRef wlst枠の太さ As ListBox, ByRef wlstカードのサイズ As ListBox, _
                            ByRef wlstカードスピード As ListBox, ByRef wlstスピード補正 As ListBox, ByRef wlstライン曲率 As ListBox, _
                            ByRef wlstカードサイズ大中小モード As ListBox, ByRef wlstカードをズーミング As ListBox, _
                            ByRef wlst消えるカードのスピード As ListBox, ByRef wlst消えるカードのズームサイズ As ListBox, _
                            ByRef mnuすべて元に戻す As ToolStripMenuItem, ByRef mnu規定値にリセット As ToolStripMenuItem, _
                            ByRef wlst残り枚数でカードサイズ変更 As ListBox, ByRef wlst消えるカードの背景模様 As ListBox, ByRef wlst消えるカードの背景サイズ As ListBox, ByRef rDlgStart初期データー13() As Integer)

#End Region

#Region "AppIniFileOp"
    Private Function zzAppIniFileOp(ByVal Load_0_QueryUnload_1_Resize_2_DoIniSave_3 As Long) As Boolean
        '読出し時に　INI ファイルが存在しない場合は　False　を返します。
        If gggAppIniFile Is Nothing Then Return False
        Return gggAppIniFile.aaAppIniFileOp_フォームサイズと位置だけ_共通処理(Load_0_QueryUnload_1_Resize_2_DoIniSave_3, Me, "2531")
    End Function
#End Region

#Region "New ....Finalize"

    Public Sub New()
        mNew実行中 = True
        ' この呼び出しは、Windows フォーム デザイナで必要です。
        InitializeComponent()
        ' InitializeComponent() 呼び出しの後で初期化を追加します。
    End Sub

#End Region

#Region "Form イベント"

    Friend Function ウロウロオプション設定DlgShow0(ByRef rゲーム実行中です As Boolean, ByVal rMe_gmDlgID As Integer, ByVal rMe_Text As String) As Boolean
        mMe_gmDlgID = rMe_gmDlgID
        mNew実行中 = False
        mLoading = True
        Try
            イベントgAppEventMaker = gAppEventMaker
            gggbol = ⅩForm_OwnerSet_IconSet_TextSet(Me, rMe_Text, frmMain)
            '--------------------------------------
            Dim wIsOK As Boolean = False
            Dim wwwMe_gmDlgID As Integer
            RaiseEvent aaaコントロールの初期化をしてください(wIsOK, wwwMe_gmDlgID, 0, lst背景の明るさ, lst枠の太さ, lstカードのサイズ, lstカードスピード, lstスピード補正, lstライン曲率, lstカードサイズ大中小モード, lstカードをズーミング, lst消えるカードのスピード, lst消えるカードのズームサイズ, mnuすべて元に戻す, mnu規定値にリセット, lst残り枚数でカードサイズ変更, lst消えるカードの背景模様, lst消えるカードの背景サイズ, mDlgStart初期データー13)
            If wIsOK = False Then Return False
            mMe_gmDlgID = wwwMe_gmDlgID
            '--------------------------------------
            mLoading = False
            '--------------------------------------
            If Not zzAppIniFileOp(0) Then gggint = ⅩFormMove(gcoフォームをスクリーン中心に移動, Me) 'INI ファイルが存在しない場合に、このフォームを画面のセンターに表示するコード。
            Me.Show()
            gggbol = イベントgAppEventMaker.MakeEventフォームの表示消去(mMe_gmDlgID, True)
            Call イベントgAppEventMaker_MakeEventゲーム背景画像の表示ONOFF(gmアプリ固有クラス.pゲーム背景画像を表示BOOL)
        Catch ex As Exception
            Call ⅩMsgBox_OK_情報("frmDlgColorFontSet_Load()" & gggCR2 & ex.ToString)
        End Try
        mLoading = False
        Return True
    End Function
    Private Sub 四frmDlgOptionUrouro_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        'no op
    End Sub
    Private Sub 四frmDlgOptionUrouro_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        gggbol = イベントgAppEventMaker.MakeEventフォームの表示消去(mMe_gmDlgID, False)
        gggint = zzAppIniFileOp(2)
        gggint = zzAppIniFileOp(1)
    End Sub
    Private Sub 四frmDlgOptionUrouro_Disposed(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Disposed
        'qqqqq("四frmDlgOptionUrouro_Disposed")
        Call gmアプリ固有クラス.aaウロウロオプション設定Dlg_Load_1_Disposed_2(2, Nothing)
    End Sub

#End Region

#Region "コントロール　イベント"
    Private Sub lst背景の明るさ_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles lst背景の明るさ.SelectedIndexChanged, lst枠の太さ.SelectedIndexChanged, lstカードのサイズ.SelectedIndexChanged, lstカードスピード.SelectedIndexChanged, lstスピード補正.SelectedIndexChanged, lstライン曲率.SelectedIndexChanged, lstカードサイズ大中小モード.SelectedIndexChanged, lstカードをズーミング.SelectedIndexChanged, lst消えるカードのスピード.SelectedIndexChanged, lst消えるカードのズームサイズ.SelectedIndexChanged, lst残り枚数でカードサイズ変更.SelectedIndexChanged, lst消えるカードの背景模様.SelectedIndexChanged, lst消えるカードの背景サイズ.SelectedIndexChanged
        If mLoading Or mNew実行中 Then Exit Sub
        Dim index As Integer = IIf(sender Is lst背景の明るさ, 1, IIf(sender Is lst枠の太さ, 2, IIf(sender Is lstカードのサイズ, 3, IIf(sender Is lstカードスピード, 4, IIf(sender Is lstスピード補正, 5, _
                               IIf(sender Is lstライン曲率, 6, IIf(sender Is lstカードサイズ大中小モード, 7, IIf(sender Is lstカードをズーミング, 8, IIf(sender Is lst消えるカードのスピード, 9, IIf(sender Is lst消えるカードのズームサイズ, 10, _
                               IIf(sender Is lst残り枚数でカードサイズ変更, 11, IIf(sender Is lst消えるカードの背景模様, 12, IIf(sender Is lst消えるカードの背景サイズ, 13, 0)))))))))))))
        If index = 0 Then Return
        Dim wIsOK As Boolean = False
        RaiseEvent aaaコントロールの選択状態が変更されました(wIsOK, index, lst背景の明るさ, lst枠の太さ, lstカードのサイズ, lstカードスピード, lstスピード補正, lstライン曲率, lstカードサイズ大中小モード, lstカードをズーミング, lst消えるカードのスピード, lst消えるカードのズームサイズ, mnuすべて元に戻す, mnu規定値にリセット, lst残り枚数でカードサイズ変更, lst消えるカードの背景模様, lst消えるカードの背景サイズ, mDlgStart初期データー13)
        If wIsOK Then
            'after op
            Select Case index
                'no op
            End Select
        End If
        'gggbol = zzEnabledSet()
        'qqqqq("lst背景の明るさ_SelectedIndexChanged() and group ...")
    End Sub
#End Region

#Region "メニュー イベント"
    Private Sub mn1gamゲームを開始_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles mn1gamゲームを開始.Click
        Call frmMain.mn1gamゲームを開始_Click(Nothing, Nothing)
    End Sub
    Private Sub mn1gamゲームストップ_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles mn1gamゲームストップ.Click
        Call frmMain.mn1gamゲームストップ_Click(Nothing, Nothing)
    End Sub
    '----------------------------------------------------------------------------------------------------------------------------------------
    Private Sub mn1gamゲーム_DropDownOpening(ByVal sender As Object, ByVal e As System.EventArgs) Handles mn1gamゲーム.DropDownOpening
        With frmMain
            mn1gamカード枚数Do_1.Checked = .mn1gamカード枚数Do_1.Checked
            mn1gamカード枚数Do_2.Checked = .mn1gamカード枚数Do_2.Checked
            mn1gamカード枚数Do_3.Checked = .mn1gamカード枚数Do_3.Checked
            mn1gamカード枚数Do_4.Checked = .mn1gamカード枚数Do_4.Checked
            mn1gamカード枚数Do_5.Checked = .mn1gamカード枚数Do_5.Checked
            mn1gamカード枚数Do_6.Checked = .mn1gamカード枚数Do_6.Checked
            mn1gamカード枚数Do_7.Checked = .mn1gamカード枚数Do_7.Checked
        End With
    End Sub
    Private Sub mn1gamカード枚数Do_1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles mn1gamカード枚数Do_1.Click, mn1gamカード枚数Do_2.Click, mn1gamカード枚数Do_3.Click, mn1gamカード枚数Do_4.Click, mn1gamカード枚数Do_5.Click, mn1gamカード枚数Do_6.Click, mn1gamカード枚数Do_7.Click
        If gmアプリ終了する Then Return
        Dim index As Integer = IIf(sender Is mn1gamカード枚数Do_1, 1, IIf(sender Is mn1gamカード枚数Do_2, 2, IIf(sender Is mn1gamカード枚数Do_3, 3, IIf(sender Is mn1gamカード枚数Do_4, 4, IIf(sender Is mn1gamカード枚数Do_5, 5, IIf(sender Is mn1gamカード枚数Do_6, 6, IIf(sender Is mn1gamカード枚数Do_7, 7, 0)))))))
        If index = 0 Then Return
        Call frmMain.mn1gameカード枚数指定Do_ClickCOM(index)
    End Sub
    '----------------------------------------------------------------------------------------------------------------------------------------
    Private Sub mn1gam背景画像のファイルを設定_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles mn1gam背景画像のファイルを設定.Click
        Call frmMain.mn5背景画像のファイルを設定_Click(Nothing, Nothing)
    End Sub
    Private Sub mn5背景画像の動かし方_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles mn5背景画像の動かし方.Click
        Call gmアプリ固有クラス.aa背景画像ユラユラ設定Dlg_Load_1_Disposed_2(1, Me)
    End Sub
    Private Sub mn1gamこのアプリを終了_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles mn1gamこのアプリを終了.Click
        If ⅩMsgBox_アプリ終了しますか(appアプリタイトル) Then Call frmMain.mn1gameこのアプリを終了_Click(Nothing, Nothing)
    End Sub
    Private Sub mnuすべて元に戻す_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles mnuすべて元に戻す.Click
        Dim wIsOK As Boolean
        RaiseEvent aaaコントロールに_DlgStart初期データー_を設定してください(wIsOK, 0, lst背景の明るさ, lst枠の太さ, lstカードのサイズ, lstカードスピード, lstスピード補正, lstライン曲率, lstカードサイズ大中小モード, lstカードをズーミング, lst消えるカードのスピード, lst消えるカードのズームサイズ, mnuすべて元に戻す, mnu規定値にリセット, lst残り枚数でカードサイズ変更, lst消えるカードの背景模様, lst消えるカードの背景サイズ, mDlgStart初期データー13)
    End Sub
    Private Sub mnu規定値にリセット_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles mnu規定値にリセット.Click
        Dim wIsOK As Boolean
        RaiseEvent aaaコントロールに規定値を設定してください(wIsOK, 0, lst背景の明るさ, lst枠の太さ, lstカードのサイズ, lstカードスピード, lstスピード補正, lstライン曲率, lstカードサイズ大中小モード, lstカードをズーミング, lst消えるカードのスピード, lst消えるカードのズームサイズ, mnuすべて元に戻す, mnu規定値にリセット, lst残り枚数でカードサイズ変更, lst消えるカードの背景模様, lst消えるカードの背景サイズ, mDlgStart初期データー13)
    End Sub
    Private Sub mnu閉じる_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles mnu閉じる.Click
        Me.Close()
    End Sub
#End Region

#Region "イベント from gAppEventMaker"

    Private Sub イベントgAppEventMaker_ゲーム開始と停止(ByVal r開始True停止False As Boolean, ByRef wOptionRetStr As String) Handles イベントgAppEventMaker.ゲーム開始と停止
        If gmアプリ終了する Then Return
        If Me.Visible = False Then Return
        mn1gamゲームを開始.Visible = Not r開始True停止False
        mn1gamゲームストップ.Visible = r開始True停止False
    End Sub

    Private Sub イベントgAppEventMaker_MakeEventゲーム背景画像の表示ONOFF(ByVal r画像表示OnOff As Boolean) Handles イベントgAppEventMaker.ゲーム背景画像の表示ONOFF
        If gmアプリ終了する Then Return
        If Me.Visible = False Then Return
        lst背景の明るさ.Enabled = r画像表示OnOff
    End Sub

    Private Sub イベントgAppEventMaker_フォームの表示と消去(ByVal rフォーム名ID As Integer, ByVal r表示True消去False As Boolean) Handles イベントgAppEventMaker.フォームの表示と消去
        If gmアプリ終了する Then Return
        If Me.Visible = False Then Return
        If GMCOM_Dlgs他のウインドウの表示_非表示イベントで_rMe_ウインドウを消去しなさい(mMe_gmDlgID, rフォーム名ID, r表示True消去False) Then
            Call mnu閉じる_Click(Nothing, Nothing)
        ElseIf rフォーム名ID = mMe_gmDlgID Then
            Call イベントgAppEventMaker_ゲーム開始と停止(ppゲーム実行中, "")
        ElseIf rフォーム名ID = gmDlgFileゲーム用 Then
            mn1gam背景画像のファイルを設定.Enabled = Not r表示True消去False
        End If
        mn1gam背景画像のファイルを設定.Enabled = Not イベントgAppEventMaker.フォームの表示消去_設定と取得(0, gmDlgFileゲーム用, False)
        mn5背景画像の動かし方.Enabled = Not イベントgAppEventMaker.フォームの表示消去_設定と取得(0, gmDlg背景画像ユラユラ設定Dlg, False)
    End Sub

    Private Sub イベントgAppEventMaker_背景画像の明るさが変更された後の処理(ByVal r明るさ実効値 As Single, ByVal rListIndex As Integer, ByRef w処理しました As Boolean) Handles イベントgAppEventMaker.背景画像の明るさが変更された後の処理
        mLoading = True
        lst背景の明るさ.SelectedIndex = rListIndex
        mLoading = False
        w処理しました = True
    End Sub

#End Region

End Class


